- name: Copy Network Script
  copy:
    src: secondary_vnic_all_configure.sh
    dest: "/etc/init.d/secondary_vnic_all_configure.sh"
    owner: root
    group: root
    mode: '0755'
    force: false
  when:
    - "'all_databases' not in group_names"

- name: Copy systemD service
  copy:
    src: oci-vnic.service
    dest: "/etc/systemd/system/oci-vnic.service"
    owner: root
    group: root
    mode: '0644'
    force: false
  when:
    - "'all_databases' not in group_names"

- name: Add OCI secondary VNICs
  systemd:
    enabled: true
    state: started
    daemon_reload: true
    name: oci-vnic
  when:
    - "'all_databases' not in group_names"
